#!/bin/sh

# now outside the script
#mkdir -p /opt/platform/

# alternative: create a symbolic link to a user writable folder
## mkdir /opt
## ln -sf $HOME/platform /opt/platform

# For documentation docker container
mkdir -p /opt/platform/docs/

# For deepdetect docker container
mkdir /opt/platform/models/
mkdir /opt/platform/models/public
mkdir /opt/platform/models/private
mkdir /opt/platform/models/training

# models.tgz contains public and pretrained models
wget -nc https://www.deepdetect.com/downloads/platform/platform_desktop_models_latest.tar.gz -P /opt/platform/models/public/
cd /opt/platform/models/public/
tar xvf platform_desktop_models_latest.tar.gz
rm platform_desktop_models_latest.tar.gz

# For jupyter docker container
mkdir /opt/platform/notebooks

# notebooks.tgz contains dd_client.py and dd_examples.ipynb
wget -nc https://www.deepdetect.com/downloads/platform/dd_notebooks_latest.tar.gz -P /opt/platform/notebooks
cd /opt/platform/notebooks
tar xvf dd_notebooks_latest.tgz
rm dd_notebooks_latest.tgz

# For filebrowser docker container
mkdir /opt/platform/filebrowser
mkdir /opt/platform/data
mkdir /opt/platform/examples

# data.tgz contains data examples
#TODO: avoid on CPU, can't train anyways, or do a light tarball
#wget -nc https://www.deepdetect.com/downloads/platform/data_examples_latest.tar.gz -P /opt/platform/examples
#cd /opt/platform/examples
#tar xvf data_examples_latest.tgz
#rm data_examples_latest.tgz

# For analytics docker container
mkdir /opt/platform/analytics
mkdir /opt/platform/analytics/data
mkdir /opt/platform/analytics/logs
mkdir /opt/platform/analytics/html

# main docker compose
#TODO: download link + widgets
mkdir /opt/platform/code
wget -nc https://www.deepdetect.com/downloads/platform/dd_docker_single_machine_latest.tar.gz -P /opt/platform/code/
wget -nc https://www.deepdetect.com/downloads/platform/dd_widgets_latest.tar.gz -P /opt/platform/code/
cd /opt/platform/code
tar xvf dd_docker_single_machine_latest.tar.gz
mv single_machine/cpu .
rm -rf single_machine
rm dd_docker_single_machine_latest.tar.gz
tar xvf dd_widgets_latest.tar.gz
rm dd_widgets_latest.tar.gz

# Set init user UIG:GID on /opt/platform structure
#chown -R $USER:$USER /opt/platform
