#!/bin/sh

mkdir -p /opt/platform/

# alternative: create a symbolic link to a user writable folder
## mkdir /opt
## ln -sf $HOME/platform /opt/platform

# For documentation docker container
mkdir -p /opt/platform/docs/public

# For deepdetect docker container
mkdir /opt/platform/models/
mkdir /opt/platform/models/private
mkdir /opt/platform/models/training

# models.tgz contains public and pretrained models
wget http://deepdetect.com/platform/models.tgz /opt/platform/models
cd /opt/platform/models
tar xvf models.tgz
rm models.tgz

# For jupyter docker container
mkdir /opt/platform/notebooks

# notebooks.tgz contains dd_client.py and dd_examples.ipynb
wget http://deepdetect.com/platform/notebooks.tgz /opt/platform/notebooks
cd /opt/platform/notebooks
tar xvf notebooks.tgz
rm notebooks.tgz

# For filebrowser docker container
mkdir /opt/platform/filebrowser
mkdir /opt/platform/data

# data.tgz contains data examples
wget http://deepdetect.com/platform/data.tgz /opt/platform/data
cd /opt/platform/data
tar xvf data.tgz
rm data.tgz

# For analytics docker container
mkdir /opt/platform/analytics
mkdir /opt/platform/analytics/data
mkdir /opt/platform/analytics/logs
mkdir /opt/platform/analytics/html

# Set init user UIG:GID on /opt/platform structure
chown -R 1000:1000 /opt/platform
